<template>
  <swiper
    class="swiper"
    :options="swiperOption"
  >
    <swiper-slide
      v-for="(item, i) in services"
      :key="`slide-${i}`"
    >
      <div class="content">
        <span class="text description">Serviços prestados à comunidade</span>
        <span class="text">
          {{ item.text }}
        </span>
      </div>
      <img
        :src="item.photo"
        alt="Foto do serviço"
        class="image"
      >
    </swiper-slide>

    <div
      slot="button-prev"
      class="swiper-button-prev slide-nav"
    >
      <fa-icon
        class="icon"
        icon="angle-left"
      />
    </div>

    <div
      slot="button-next"
      class="swiper-button-next slide-nav"
    >
      <fa-icon
        class="icon"
        icon="angle-right"
      />
    </div>
  </swiper>
</template>

<script>
// eslint-disable-next-line import/no-extraneous-dependencies
import 'swiper/dist/css/swiper.css';
import { swiper, swiperSlide } from 'vue-awesome-swiper';

export default {
  name: 'TheHeader',
  components: {
    swiper,
    swiperSlide,
  },
  props: {
    services: {
      type: Array,
      required: true,
    },
  },
  data() {
    return {
      swiperOption: {
        navigation: {
          nextEl: '.swiper-button-next',
          prevEl: '.swiper-button-prev',
        },
        // Enable debugger
        debugger: true,
      },
    };
  },
};
</script>

<style lang="stylus" scoped>
.swiper
  height 38rem
  widht 100%
  background-color var(--color-gray)


.swiper-content
  display flex
  justify-content center
  align-items center

.slide-nav
  border-radius 100%
  background var(--color-primary)
  width 3.2rem
  height 3.2rem
  padding 0.2rem 0.2rem
  display flex
  align-items center
  justify-content center

.icon
  font-style normal
  font-weight normal
  font-size 2.4rem
  color var(--color-white)

.overlay
  position absolute
  top 0
  bottom 0
  left 0
  right 0
  width 100%
  height 100%
  opacity 0.5

.swiper-slide img
  object-fit cover

.slide
  position relative

  img
    width 100%
    height 100%
    object-fit cover

.content
  margin 0
  position absolute
  width 40rem
  height 100%
  left 0px
  background rgba(255, 255, 255, 0.8)
  display flex
  flex-direction column
  align-content center
  justify-content center

  &:after
    content ""
    position absolute
    left 100%
    top 0
    width 0
    height 0
    border-top 19rem solid transparent
    border-left 13rem solid rgba(255, 255, 255, 0.8)
    border-bottom 19rem solid transparent

.text
  font-family Signika
  font-style normal
  font-weight bold
  font-size 20px
  margin-left 10rem
  letter-spacing -0.02em
  color var(--color-primary)
  display flex
  align-items center

.image
  width 100%
  height 100%

@media screen and (max-width: 600px)
  .slide
    img
      object-fit fill

  .content
    width 100%
    background rgba(255, 255, 255, 0.8)

  .overlay
    opacity 0.9

  .text
    max-height 100%
    margin-left 0
    margin 0 8rem

.description
  position absolute
  top 20px
  margin-right 0
  font-size 16px
</style>
